#import "./SummaryReportFragment.graphql"

query ClientSummaryReport($clientId: ID!, $layoutId: ID) {
    viewer {
        login
        client {
            email
        }
        summaryReportLayouts {
            name
            isDefault
            id
        }
    }
    client: node(id: $clientId) {
        ... on Client {
            id
            login
            summaryReport(layoutId: $layoutId) {
               ...SummaryReportFragment
            }
        }
    }
}
